% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/f_core_utilities.R
\name{getParameterCaption}
\alias{getParameterCaption}
\title{Get Parameter Caption}
\usage{
getParameterCaption(obj, var)
}
\arguments{
\item{obj}{The rpact result object.}

\item{var}{The variable/parameter name.}
}
\value{
Returns a \code{\link[base]{character}} of specifying the corresponding caption of a given parameter name.
Returns \code{NULL} if the specified \code{parameterName} does not exist.
}
\description{
Returns the parameter caption for a given object and parameter name.
}
\details{
This function identifies and returns the caption that will be used in print outputs of an rpact result object.
}
\examples{
\dontrun{
getParameterCaption(getDesignInverseNormal(), "kMax")
}

}
\seealso{
\code{\link[=getParameterName]{getParameterName()}} for getting the parameter name for a given caption.
}
\keyword{internal}
